# Interface ContractAllocationInfo

#### Hierarchy

- ContractAllocationInfo

- Defined in codec/lib/abi-data/allocate/types.ts:13

#####
Index

### Properties

abi?
compilationId?
compiler
constructorContext?
contractNode
deployedContext?
immutableReferences?

## Properties

### `Optional` abi

abi?: Abi

- Defined in codec/lib/abi-data/allocate/types.ts:14

### `Optional` compilationId

compilationId?: string

- Defined in codec/lib/abi-data/allocate/types.ts:20

### compiler

compiler: CompilerVersion

- Defined in codec/lib/abi-data/allocate/types.ts:19

### `Optional` constructorContext

constructorContext?: Context

- Defined in codec/lib/abi-data/allocate/types.ts:17

### contractNode

contractNode: AstNode

- Defined in codec/lib/abi-data/allocate/types.ts:15

### `Optional` deployedContext

deployedContext?: Context

- Defined in codec/lib/abi-data/allocate/types.ts:16

### `Optional` immutableReferences

immutableReferences?: ImmutableReferences

- Defined in codec/lib/abi-data/allocate/types.ts:18

Generated using TypeDoc